Skip to main content
POST
/
billing
/
checkout
Create Stripe Checkout Session for plan upgrade or top-up
curl --request POST \
  --url https://api.getovra.com/billing/checkout \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "priceId": "<string>",
  "amountEuros": 6,
  "successUrl": "<string>",
  "cancelUrl": "<string>"
}
'

Documentation Index

Fetch the complete documentation index at: https://docs.getovra.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key (sk_sandbox_* / sk_test_* / sk_live_*) or Agent token (at_* / at_dlg_*)

Body

application/json
priceId
string
amountEuros
number
Required range: x >= 5
successUrl
string<uri>
cancelUrl
string<uri>

Response

200

Checkout session URL